/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.fidentis.analyst.procrustes;

import cz.fidentis.analyst.feature.FeaturePoint;
import cz.fidentis.analyst.procrustes.utils.ProcrustesAnalysisUtils;

import javax.vecmath.Vector3f;
import java.util.HashMap;
import java.util.List;

/**
 *
 * @author Jakub Kolman
 */
public class ProcrustesAnalysisFaceModel {
    
    private final HashMap<Integer, FeaturePoint> featurePointsMap;
    private List<Vector3f> vertices;

    public ProcrustesAnalysisFaceModel(List<FeaturePoint> fpList, List<Vector3f> vertices) {
        this.featurePointsMap = ProcrustesAnalysisUtils.generateFeaturePointHashMap(fpList);
        this.vertices = vertices;
    }

    public void setVertices(List<Vector3f> vertices) {
        this.vertices = vertices;
    }

    public List<Vector3f> getVertices() {
        return vertices;
    }
}
